'Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

'    Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
'    Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
'    The name of the author may not be used to endorse or promote products derived from this software without specific prior written permission.

'THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Randomize Timer

#include "./incs/consts.bi"
#include "./incs/types.bi"
#include "./incs/declares.bi"
#include "./incs/dims.bi"
#include "./incs/movement.bi"
#include "./incs/logic.bi"
#include "./incs/grafix.bi"
#include "./incs/scores.bi"
#include "./incs/controls.bi"

init_pre_initial_screen (scr,scores,options,ingame)

do

	initial_screen (player, scr, scores, options)

	player.rings=0:player.totrings=0:player.bestrings=0
    
	ingame.totbits=options.gamemode(options.gamemode_idn).startbits
		
    If player.con(0).b = 2 Then splashscreen
    
   Do
       
	    Circle (scr.hx,scr.hy), ovalsize, rgb(int(rnd*200),int(rnd*155)+100,int(rnd*50))
       
        player.con(0).x=scr.hx
        player.con(0).y=scr.hy
        player.con(0).b=0
        
        setmouse scr.hx,scr.hy,0
		
        alllogic(player, scores, scr, bitt(), ingame, options)
       
    Loop Until ingame.restart=0 Or multikey(1) Or ingame.quit=-1 or ingame.restart=-2

Loop Until ingame.restart=0 Or multikey(1) Or ingame.quit=-1
       
For i As Integer = 0 To 2
    ImageDestroy( scores.scoretable(i) )
Next

